Subject: [PATCH v2 06/16] arm64: entry.S: convert elX_sync

From: [email-masked] (James Morse)
Date: Thu, 10 Aug 2017 17:57:48 +0100

Hi Catalin,

On 09/08/17 18:25, Catalin Marinas wrote:
> On Fri, Jul 28, 2017 at 03:10:09PM +0100, James Morse wrote:
>> @@ -520,9 +514,16 @@ el1_preempt:
>>  el0_sync:
>>  	kernel_entry 0
>>  	mrs	x25, esr_el1			// read the syndrome register
>> +	mrs	x26, far_el1
> 
> Just checking, since we are going to access far_el1 even when we get a
> syscall, have you noticed any overhead?

Good point, I haven't checked because I've been doing all this with the software
model.

I will set this running on Seattle overnight, results in v3's cover letter.

Thanks!

James